From c8790427bea607b04371fe76481b9f5f4320055e Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 10 2015 03:41:17 +0000
Subject: [PATCH 113/1001] Fix some python3-isms.


---

diff --git a/fedmsg.d/fas_credentials.py b/fedmsg.d/fas_credentials.py
index 7f63432..f0d1f02 100644
--- a/fedmsg.d/fas_credentials.py
+++ b/fedmsg.d/fas_credentials.py
@@ -1,13 +1,15 @@
-import commands
 import getpass
 import os
 
+
 username = os.environ.get('BODHI_USER')
 if not username:
     username = raw_input('FAS username: ')
 
 if os.path.exists('/usr/bin/pass'):
-    password = commands.getoutput('pass sys/fas')
+    import sh  # You'll need to pip install this
+    cmd = sh.Command('pass')
+    password = cmd('sys/fas').strip()
 else:
     password = getpass.getpass('FAS password: ')
 
diff --git a/fedmsg.d/testconfig.py b/fedmsg.d/testconfig.py
index b803bad..ec13c43 100644
--- a/fedmsg.d/testconfig.py
+++ b/fedmsg.d/testconfig.py
@@ -21,7 +21,11 @@ config = {
         "backend": "dogpile.cache.dbm",
         "expiration_time": 300,
         "arguments": {
-            "filename": "/var/tmp/fmn-cache.dbm",
+            "filename": "/var/tmp/fmn-cache.db",
         },
     },
+
+    # Run datanommer locally, just for development.
+    'datanommer.enabled': True,
+    'datanommer.sqlalchemy.url': 'postgres://postgres:laksjdf@127.0.0.1/datanommer',
 }

